
From: David Teigland <teigland@redhat.com>

Consistently handle the declarations of ifdef'ed debug functions in the
two places they occur.

Signed-off-by: David Teigland <teigland@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/dlm/main.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)

diff -puN drivers/dlm/main.c~dlm-debug-fs-dlm-consistent-ifdefs drivers/dlm/main.c
--- 25/drivers/dlm/main.c~dlm-debug-fs-dlm-consistent-ifdefs	Thu Jun  2 16:40:33 2005
+++ 25-akpm/drivers/dlm/main.c	Thu Jun  2 16:40:33 2005
@@ -23,14 +23,8 @@
 int dlm_register_debugfs(void);
 void dlm_unregister_debugfs(void);
 #else
-int dlm_register_debugfs(void)
-{
-	return 0;
-}
-
-void dlm_unregister_debugfs(void)
-{
-}
+static inline int dlm_register_debugfs(void) { return 0; }
+static inline void dlm_unregister_debugfs(void) { }
 #endif
 
 int dlm_node_ioctl_init(void);
_
